Bug 107852 - Customize window: Styles > Table category in Add Commands empty
Summary: Customize window: Styles > Table category in Add Commands empty
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Customize-Dialog Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2017-05-14 22:19 UTC by Thomas Lendo
Modified: 2017-05-17 15:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-05-14 22:19:52 UTC
In Writer > Tools > Customize > (Menus/Context Menus/Toolbars) > Add Command, the category "Styles > Table" is empty.

Expected behavior:
The table styles also available in "Styles & Formatting" sidebar should be visible here.
Comment 1 Commit Notification 2017-05-16 09:24:34 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4dc823990ab217cb9d07a0555d3015d43380fdf5

tdf#107852 Support DisplayName property for table styles

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Yousuf Philips (jay) (retired) 2017-05-17 15:44:30 UTC
Thanks Maxim.

Version: 5.4.0.0.alpha1+
Build ID: 296c2296f5565556eea9fab51563050f28bbcafc
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-17_00:33:24
Locale: en-US (en_US.UTF-8); Calc: group